# Method: accounts.skuGroups.list

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.ListSkuGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.aspect)
- [SkuGroup](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#SkuGroup)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#SkuGroup.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#try-it)

Lists the Rebilling supported SKU groups the account is authorized to sell. Reference: <https://cloud.google.com/skus/sku-groups>

Possible Error Codes:

- PERMISSION_DENIED: If the account making the request and the account being queried are different, or the account doesn't exist.
- INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support.

Return Value: If successful, the `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#SkuGroup` resources. The data for each resource is displayed in the alphabetical order of SKU group display name. The data for each resource is displayed in the ascending order of `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#SkuGroup.FIELDS.display_name`

If unsuccessful, returns an error.

### HTTP request

`GET https://cloudchannel.googleapis.com/v1alpha1/{parent=accounts/*}/skuGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the account from which to list SKU groups. Parent uses the format: accounts/{account}. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of SKU groups to return. The service may return fewer than this value. If unspecified, returns a maximum of 1000 SKU groups. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A token identifying a page of results beyond the first page. Obtained through `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.ListSkuGroupsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#google.cloud.channel.v1alpha1.CloudChannelService.ListSkuGroups` call. |

### Request body

The request body must be empty.

### Response body

Response message for skuGroups.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "skuGroups": [ { object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#SkuGroup`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `skuGroups[]` | ``object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#SkuGroup`)`` The list of SKU groups requested. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass to `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.skuGroups/list#body.QUERY_PARAMETERS.page_token` to obtain that page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## SkuGroup

Represents the SKU group information.

| JSON representation |
|---|
| ``` { "name": string, "displayName": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Resource name of SKU group. Format: accounts/{account}/skuGroups/{skuGroup}. Example: "accounts/C01234/skuGroups/3d50fd57-3157-4577-a5a9-a219b8490041". |
| `displayName` | `string` Unique human readable identifier for the SKU group. |